"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reserveRust2json = void 0;
function reserveRust2json(rustStr) {
    // Thay thế cú pháp Rust bằng cú pháp JSON
    let jsonStr = rustStr
        .trim()
        .replace("Ok(", "")
        .replace("Reserve {", "{")
        .replace("Regular,", '"Regular",')
        .replace(")", "")
        .replace(/LastUpdate \{|ReserveLiquidity \{|ReserveCollateral \{|ReserveFees \{|ReserveConfig \{|RateLimiter \{|RateLimiterConfig \{/g, "{")
        .replace(/,\s*}/g, "}") // Xóa dấu phẩy thừa trước dấu đóng ngoặc nhọn
        .replace(/: ([A-Za-z0-9]{44})/g, ': "$1"') // Bao quanh giá trị không phải chuỗi bằng dấu ngoặc kép
        .replace(/([a-zA-Z_]+):/g, '"$1":') // Chuyển đổi key thành chuỗi JSON
        .replace(/},/g, "}, ") // Định dạng đúng cho các đối tượng con
        .trim()
        .replace(/,$/, "");
    // Chuyển đổi từ string sang object JSON, sau đó lại chuyển về string để format
    return JSON.parse(jsonStr);
}
exports.reserveRust2json = reserveRust2json;
